--- /dev/null
+minidom (0.1.0-1) unstable; urgency=low
+
+ * Initial Release.
+
+ -- Stefano Zacchiroli <zacchiro@cs.unibo.it> Sun, 21 Jan 2001 18:24:26 +0100
+
+Local variables:
+mode: debian-changelog
+add-log-mailing-address "zacchiro@cs.unibo.it"
+End:
--- /dev/null
+Source: minidom
+Section: devel
+Priority: optional
+Maintainer: Stefano Zacchiroli <zacchiro@cs.unibo.it>
+Build-Depends: debhelper (>> 2.0.0)
+Standards-Version: 3.2.1
+
+Package: libminidom0
+Architecture: any
+Depends: ${shlibs:Depends}
+Description: A minimal implementation of the Document Object Model
+ Minidom is a minimal implementation of the Document Object Model.
+ This package include the shared library.
+
+Package: libminidom-dev
+Architecture: any
+Depends: libminidom0 (= ${Source-Version}), libc6-dev
+Description: A minimal implementation of the Document Object Model
+ Minidom is a minimal implementation of the Document Object Model.
+ This package includes the development and runtime support files.
+
--- /dev/null
+This package was debianized by Stefano Zacchiroli <zacchiro@cs.unibo.it> on
+Sun, 21 Jan 2001 18:24:26 +0100.
+
+It was packed from source obtained via cvs, with this CVSROOT:
+ :pserver:anonymous@phd.cs.unibo.it:/home/lpadovan/PHELM/
+
+Upstream Author(s): Luca Padovani <luca.padovani@cs.unibo.it>
+
+Copyright:
+ This program is free software; you can redistribute it and/or modify it
+ under the terms of the GNU General Public License as published by the Free
+ Software Foundation; either version 2 of the License, or (at your option)
+ any later version.
+
+ This program is distributed in the hope that it will be useful, but WITHOUT
+ ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+ FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
+ more details.
+
+ You should have received a copy of the GNU General Public License along
+ with this program; if not, write to the Free Software Foundation, Inc.,
+ 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+
--- /dev/null
+AUTHORS
+COPYING
+INSTALL
+NEWS
+README
+TODO
--- /dev/null
+usr/lib/*.so
+usr/lib/*.a
+usr/lib/*.la
+usr/include/
+usr/bin/
--- /dev/null
+minidom-config.1
--- /dev/null
+usr/lib/*.so.*
--- /dev/null
+#! /bin/sh
+# postinst script for libminidom0
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see /usr/share/doc/packaging-manual/
+#
+# quoting from the policy:
+# Any necessary prompting should almost always be confined to the
+# post-installation script, and should be protected with a conditional
+# so that unnecessary prompting doesn't happen if a package's
+# installation fails and the `postinst' is called with `abort-upgrade',
+# `abort-remove' or `abort-deconfigure'.
+
+case "$1" in
+ configure)
+ ldconfig
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 0
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- /dev/null
+#!/usr/bin/make -f
+# Sample debian/rules that uses debhelper.
+# GNU copyright 1997 to 1999 by Joey Hess.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+# This is the debhelper compatability version to use.
+export DH_COMPAT=2
+
+# shared library versions, option 1
+#version=0.1.0
+#major=0
+# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
+version=`ls src/.libs/lib*.so.* | \
+ awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
+major=`ls src/.libs/lib*.so.* | \
+ awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`
+
+configure: configure-stamp
+configure-stamp:
+ dh_testdir
+ # Add here commands to configure the package.
+ ./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
+
+ touch configure-stamp
+
+build: configure-stamp build-stamp
+build-stamp:
+ dh_testdir
+
+ # Add here commands to compile the package.
+ $(MAKE)
+
+ touch build-stamp
+
+clean:
+ dh_testdir
+ dh_testroot
+ rm -f build-stamp configure-stamp
+
+ # Add here commands to clean up after the build process.
+ -$(MAKE) distclean
+
+ dh_clean
+
+install: build
+ dh_testdir
+ dh_testroot
+ dh_clean -k
+ dh_installdirs
+
+ # Add here commands to install the package into debian/minidom.
+ $(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
+
+
+# Build architecture-independent files here.
+binary-indep: build install
+# We have nothing to do by default.
+
+# Build architecture-dependent files here.
+binary-arch: build install
+ dh_testversion 2
+ dh_testdir
+ dh_testroot
+ #
+ # build libminidom${major} package by moving files from minidom-dev
+ #
+# dh_movefiles -plibminidom$(major) \
+# usr/lib/libminidom.so.$(major) \
+# usr/lib/libminidom.so.$(version)
+# dh_movefiles get file contents from debian/*.files
+ dh_movefiles
+
+# dh_installdebconf
+ dh_installdocs
+ dh_installexamples
+ dh_installmenu
+# dh_installemacsen
+# dh_installpam
+# dh_installinit
+ dh_installcron
+ dh_installmanpages
+ dh_installinfo
+ dh_undocumented
+ dh_installchangelogs ChangeLog
+ dh_link
+ dh_strip
+ dh_compress
+ dh_fixperms
+ # You may want to make some executables suid here.
+# dh_suidregister
+ dh_makeshlibs
+ dh_installdeb
+# dh_perl
+ dh_shlibdeps
+ dh_gencontrol
+ dh_md5sums
+ dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure